diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -5991,60 +5995,61 @@ F0 1.095(command enough times to)3.595 F
 (Set the mark to the point.)144 276 Q(If a numeric ar)5 E
 (gument is supplied, the mark is set to that position.)-.18 E F1
 (exchange\255point\255and\255mark \(C\255x C\255x\))108 288 Q F0(Sw)144
-300 Q .283(ap the point with the mark.)-.1 F .283
+300 Q .282(ap the point with the mark.)-.1 F .283
 (The current cursor position is set to the sa)5.283 F -.15(ve)-.2 G
-2.782(dp).15 G .282(osition, and the old)-2.782 F(cursor position is sa)
+2.783(dp).15 G .283(osition, and the old)-2.783 F(cursor position is sa)
 144 312 Q -.15(ve)-.2 G 2.5(da).15 G 2.5(st)-2.5 G(he mark.)-2.5 E F1
-(character\255sear)108 324 Q(ch \(C\255]\))-.18 E F0 3.035(Ac)144 336 S
-.535(haracter is read and point is mo)-3.035 F -.15(ve)-.15 G 3.035(dt)
+(character\255sear)108 324 Q(ch \(C\255]\))-.18 E F0 3.036(Ac)144 336 S
+.536(haracter is read and point is mo)-3.036 F -.15(ve)-.15 G 3.035(dt)
 .15 G 3.035(ot)-3.035 G .535(he ne)-3.035 F .535
-(xt occurrence of that character)-.15 F 5.536(.A)-.55 G(ne)-2.5 E -.05
-(ga)-.15 G(ti).05 E .836 -.15(ve c)-.25 H(ount).15 E(searches for pre)
+(xt occurrence of that character)-.15 F 5.535(.A)-.55 G(ne)-2.5 E -.05
+(ga)-.15 G(ti).05 E .835 -.15(ve c)-.25 H(ount).15 E(searches for pre)
 144 348 Q(vious occurrences.)-.25 E F1(character\255sear)108 360 Q
-(ch\255backward \(M\255C\255]\))-.18 E F0 3.544(Ac)144 372 S 1.044
-(haracter is read and point is mo)-3.544 F -.15(ve)-.15 G 3.544(dt).15 G
+(ch\255backward \(M\255C\255]\))-.18 E F0 3.543(Ac)144 372 S 1.043
+(haracter is read and point is mo)-3.543 F -.15(ve)-.15 G 3.544(dt).15 G
 3.544(ot)-3.544 G 1.044(he pre)-3.544 F 1.044
-(vious occurrence of that character)-.25 F 6.043(.A)-.55 G(ne)-2.5 E
+(vious occurrence of that character)-.25 F 6.044(.A)-.55 G(ne)-2.5 E
 -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G
 (count searches for subsequent occurrences.)144 384 Q F1
-(skip\255csi\255sequence)108 396 Q F0 1.826
+(skip\255csi\255sequence)108 396 Q F0 1.827
 (Read enough characters to consume a multi-k)144 408 R 2.126 -.15(ey s)
--.1 H 1.827(equence such as those de\214ned for k).15 F -.15(ey)-.1 G
-4.327(sl).15 G(ik)-4.327 E(e)-.1 E .791(Home and End.)144 420 R .791
-(Such sequences be)5.791 F .791
+-.1 H 1.826(equence such as those de\214ned for k).15 F -.15(ey)-.1 G
+4.326(sl).15 G(ik)-4.326 E(e)-.1 E .79(Home and End.)144 420 R .791
+(Such sequences be)5.79 F .791
 (gin with a Control Sequence Indicator \(CSI\), usually ESC\255[.)-.15 F
-.331(If this sequence is bound to "\\[", k)144 432 R -.15(ey)-.1 G 2.831
-(sp).15 G .331(roducing such sequences will ha)-2.831 F .632 -.15(ve n)
--.2 H 2.832(oe).15 G -.25(ff)-2.832 G .332(ect unless e).25 F(xplic-)
+.332(If this sequence is bound to "\\[", k)144 432 R -.15(ey)-.1 G 2.831
+(sp).15 G .331(roducing such sequences will ha)-2.831 F .631 -.15(ve n)
+-.2 H 2.831(oe).15 G -.25(ff)-2.831 G .331(ect unless e).25 F(xplic-)
 -.15 E .026(itly bound to a readline command, instead of inserting stra\
 y characters into the editing b)144 444 R(uf)-.2 E(fer)-.25 E 5.026(.T)
 -.55 G(his)-5.026 E(is unbound by def)144 456 Q(ault, b)-.1 E
 (ut usually bound to ESC\255[.)-.2 E F1(insert\255comment \(M\255#\))108
-468 Q F0 -.4(Wi)144 480 S .48(thout a numeric ar).4 F .48(gument, the v)
--.18 F .481(alue of the readline)-.25 F F1(comment\255begin)2.981 E F0
--.25(va)2.981 G .481(riable is inserted at the).25 F(be)144 492 Q .245
-(ginning of the current line.)-.15 F .245(If a numeric ar)5.245 F .244
-(gument is supplied, this command acts as a toggle: if)-.18 F .321
+468 Q F0 -.4(Wi)144 480 S .481(thout a numeric ar).4 F .481
+(gument, the v)-.18 F .481(alue of the readline)-.25 F F1
+(comment\255begin)2.981 E F0 -.25(va)2.981 G .48
+(riable is inserted at the).25 F(be)144 492 Q .244
+(ginning of the current line.)-.15 F .245(If a numeric ar)5.244 F .245
+(gument is supplied, this command acts as a toggle: if)-.18 F .322
 (the characters at the be)144 504 R .321
 (ginning of the line do not match the v)-.15 F .321(alue of)-.25 F F1
-(comment\255begin)2.821 E F0 2.822(,t)C .322(he v)-2.822 F .322(alue is)
--.25 F .832(inserted, otherwise the characters in)144 516 R F1
-(comment\255begin)3.332 E F0 .831(are deleted from the be)3.332 F .831
-(ginning of the line.)-.15 F 1.468
+(comment\255begin)2.821 E F0 2.821(,t)C .321(he v)-2.821 F .321(alue is)
+-.25 F .831(inserted, otherwise the characters in)144 516 R F1
+(comment\255begin)3.331 E F0 .832(are deleted from the be)3.331 F .832
+(ginning of the line.)-.15 F 1.469
 (In either case, the line is accepted as if a ne)144 528 R 1.468
-(wline had been typed.)-.25 F 1.469(The def)6.469 F 1.469(ault v)-.1 F
-1.469(alue of)-.25 F F1(com-)3.969 E(ment\255begin)144 540 Q F0 .84
-(causes this command to mak)3.34 F 3.339(et)-.1 G .839
-(he current line a shell comment.)-3.339 F .839(If a numeric ar)5.839 F
+(wline had been typed.)-.25 F 1.468(The def)6.468 F 1.468(ault v)-.1 F
+1.468(alue of)-.25 F F1(com-)3.968 E(ment\255begin)144 540 Q F0 .839
+(causes this command to mak)3.339 F 3.339(et)-.1 G .839
+(he current line a shell comment.)-3.339 F .84(If a numeric ar)5.84 F
 (gu-)-.18 E(ment causes the comment character to be remo)144 552 Q -.15
 (ve)-.15 G(d, the line will be e).15 E -.15(xe)-.15 G
 (cuted by the shell.).15 E F1(glob\255complete\255w)108 564 Q
-(ord \(M\255g\))-.1 E F0 .791(The w)144 576 R .791
-(ord before point is treated as a pattern for pathname e)-.1 F .792
+(ord \(M\255g\))-.1 E F0 .792(The w)144 576 R .791
+(ord before point is treated as a pattern for pathname e)-.1 F .791
 (xpansion, with an asterisk implicitly)-.15 F 2.5(appended. This)144 588
 R(pattern is used to generate a list of matching \214lenames for possib\
 le completions.)2.5 E F1(glob\255expand\255w)108 600 Q(ord \(C\255x *\))
--.1 E F0 .176(The w)144 612 R .176
+-.1 E F0 .175(The w)144 612 R .176
 (ord before point is treated as a pattern for pathname e)-.1 F .176
 (xpansion, and the list of matching \214le-)-.15 F .516
 (names is inserted, replacing the w)144 624 R 3.016(ord. If)-.1 F 3.016
@@ -6057,226 +6062,226 @@ le completions.)2.5 E F1(glob\255expand\255w)108 600 Q(ord \(C\255x *\))
 .872(the line is redra)144 672 R 3.372(wn. If)-.15 F 3.372(an)3.372 G
 .872(umeric ar)-3.372 F .872
 (gument is supplied, an asterisk is appended before pathname)-.18 F -.15
-(ex)144 684 S(pansion.).15 E F1(dump\255functions)108 696 Q F0 .627
-(Print all of the functions and their k)144 708 R .927 -.15(ey b)-.1 H
-.626(indings to the readline output stream.).15 F .626(If a numeric ar)
-5.626 F(gu-)-.18 E
+(ex)144 684 S(pansion.).15 E F1(dump\255functions)108 696 Q F0 .626
+(Print all of the functions and their k)144 708 R .926 -.15(ey b)-.1 H
+.627(indings to the readline output stream.).15 F .627(If a numeric ar)
+5.627 F(gu-)-.18 E
 (ment is supplied, the output is formatted in such a w)144 720 Q
 (ay that it can be made part of an)-.1 E F2(inputr)2.5 E(c)-.37 E F0
-(\214le.)2.5 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(50)197.335 E
-0 Cg EP
+(\214le.)2.5 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(50)192.895
+E 0 Cg EP
 %%Page: 51 51
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
-SF(dump\255v)108 84 Q(ariables)-.1 E F0 1.799
+SF(dump\255v)108 84 Q(ariables)-.1 E F0 1.8
 (Print all of the settable readline v)144 96 R 1.799
-(ariables and their v)-.25 F 1.8(alues to the readline output stream.)
--.25 F 1.8(If a)6.8 F .305(numeric ar)144 108 R .304
+(ariables and their v)-.25 F 1.799(alues to the readline output stream.)
+-.25 F 1.799(If a)6.799 F .304(numeric ar)144 108 R .304
 (gument is supplied, the output is formatted in such a w)-.18 F .304
 (ay that it can be made part of an)-.1 F/F2 10/Times-Italic@0 SF(inputr)
 144 120 Q(c)-.37 E F0(\214le.)2.5 E F1(dump\255macr)108 132 Q(os)-.18 E
-F0 .592(Print all of the readline k)144 144 R .892 -.15(ey s)-.1 H .592
-(equences bound to macros and the strings the).15 F 3.093(yo)-.15 G
-3.093(utput. If)-3.093 F 3.093(an)3.093 G(umeric)-3.093 E(ar)144 156 Q
+F0 .593(Print all of the readline k)144 144 R .893 -.15(ey s)-.1 H .592
+(equences bound to macros and the strings the).15 F 3.092(yo)-.15 G
+3.092(utput. If)-3.092 F 3.092(an)3.092 G(umeric)-3.092 E(ar)144 156 Q
 .528(gument is supplied, the output is formatted in such a w)-.18 F .528
-(ay that it can be made part of an)-.1 F F2(inputr)3.027 E(c)-.37 E F0
+(ay that it can be made part of an)-.1 F F2(inputr)3.028 E(c)-.37 E F0
 (\214le.)144 168 Q F1(display\255shell\255v)108 180 Q
 (ersion \(C\255x C\255v\))-.1 E F0(Display v)144 192 Q
 (ersion information about the current instance of)-.15 E F1(bash)2.5 E
-F0(.)A F1(Pr)87 208.8 Q(ogrammable Completion)-.18 E F0 .146(When w)108
+F0(.)A F1(Pr)87 208.8 Q(ogrammable Completion)-.18 E F0 .147(When w)108
 220.8 R .147(ord completion is attempted for an ar)-.1 F .147
 (gument to a command for which a completion speci\214cation \(a)-.18 F
-F2(compspec)108 232.8 Q F0 3.829(\)h)C 1.329
-(as been de\214ned using the)-3.829 F F1(complete)3.829 E F0 -.2(bu)
+F2(compspec)108 232.8 Q F0 3.828(\)h)C 1.329
+(as been de\214ned using the)-3.828 F F1(complete)3.829 E F0 -.2(bu)
 3.829 G 1.329(iltin \(see).2 F/F3 9/Times-Bold@0 SF 1.329(SHELL B)3.829
-F(UIL)-.09 E 1.329(TIN COMMANDS)-.828 F F0(belo)3.579 E 1.328(w\), the)
+F(UIL)-.09 E 1.329(TIN COMMANDS)-.828 F F0(belo)3.579 E 1.329(w\), the)
 -.25 F(programmable completion f)108 244.8 Q(acilities are in)-.1 E -.2
-(vo)-.4 G -.1(ke).2 G(d.).1 E .497
-(First, the command name is identi\214ed.)108 261.6 R .497
-(If the command w)5.497 F .498
-(ord is the empty string \(completion attempted at)-.1 F .234(the be)108
+(vo)-.4 G -.1(ke).2 G(d.).1 E .498
+(First, the command name is identi\214ed.)108 261.6 R .498
+(If the command w)5.498 F .497
+(ord is the empty string \(completion attempted at)-.1 F .233(the be)108
 273.6 R .233(ginning of an empty line\), an)-.15 F 2.733(yc)-.15 G .233
 (ompspec de\214ned with the)-2.733 F F1<ad45>2.733 E F0 .233(option to)
-2.733 F F1(complete)2.733 E F0 .233(is used.)2.733 F .233(If a comp-)
-5.233 F .481(spec has been de\214ned for that command, the compspec is \
-used to generate the list of possible completions)108 285.6 R .823
-(for the w)108 297.6 R 3.323(ord. If)-.1 F .823(the command w)3.323 F
-.822(ord is a full pathname, a compspec for the full pathname is search\
-ed for)-.1 F 2.866(\214rst. If)108 309.6 R .367(no compspec is found fo\
+2.733 F F1(complete)2.733 E F0 .233(is used.)2.733 F .234(If a comp-)
+5.234 F .481(spec has been de\214ned for that command, the compspec is \
+used to generate the list of possible completions)108 285.6 R .822
+(for the w)108 297.6 R 3.322(ord. If)-.1 F .822(the command w)3.322 F
+.823(ord is a full pathname, a compspec for the full pathname is search\
+ed for)-.1 F 2.867(\214rst. If)108 309.6 R .366(no compspec is found fo\
 r the full pathname, an attempt is made to \214nd a compspec for the po\
-rtion)2.866 F(follo)108 321.6 Q .299(wing the \214nal slash.)-.25 F .298
-(If those searches do not result in a compspec, an)5.299 F 2.798(yc)-.15
-G .298(ompspec de\214ned with the)-2.798 F F1<ad44>2.798 E F0(option to)
+rtion)2.867 F(follo)108 321.6 Q .298(wing the \214nal slash.)-.25 F .298
+(If those searches do not result in a compspec, an)5.298 F 2.799(yc)-.15
+G .299(ompspec de\214ned with the)-2.799 F F1<ad44>2.799 E F0(option to)
 108 333.6 Q F1(complete)2.5 E F0(is used as the def)2.5 E(ault.)-.1 E
 .817(Once a compspec has been found, it is used to generate the list of\
  matching w)108 350.4 R 3.317(ords. If)-.1 F 3.317(ac)3.317 G .817
 (ompspec is not)-3.317 F(found, the def)108 362.4 Q(ault)-.1 E F1(bash)
 2.5 E F0(completion as described abo)2.5 E .3 -.15(ve u)-.15 H(nder).15
-E F1(Completing)2.5 E F0(is performed.)2.5 E .464
+E F1(Completing)2.5 E F0(is performed.)2.5 E .463
 (First, the actions speci\214ed by the compspec are used.)108 379.2 R
-.463(Only matches which are pre\214x)5.464 F .463(ed by the w)-.15 F
-.463(ord being)-.1 F .595(completed are returned.)108 391.2 R .595
-(When the)5.595 F F1<ad66>3.095 E F0(or)3.095 E F1<ad64>3.095 E F0 .596
+.464(Only matches which are pre\214x)5.464 F .464(ed by the w)-.15 F
+.464(ord being)-.1 F .596(completed are returned.)108 391.2 R .596
+(When the)5.596 F F1<ad66>3.096 E F0(or)3.095 E F1<ad64>3.095 E F0 .595
 (option is used for \214lename or directory name completion, the)3.095 F
 (shell v)108 403.2 Q(ariable)-.25 E F3(FIGNORE)2.5 E F0
 (is used to \214lter the matches.)2.25 E(An)108 420 Q 4.084(yc)-.15 G
 1.584(ompletions speci\214ed by a pathname e)-4.084 F 1.584
 (xpansion pattern to the)-.15 F F1<ad47>4.084 E F0 1.584
 (option are generated ne)4.084 F 4.084(xt. The)-.15 F -.1(wo)108 432 S
-.554(rds generated by the pattern need not match the w).1 F .555
-(ord being completed.)-.1 F(The)5.555 E F3(GLOBIGNORE)3.055 E F0 .555
-(shell v)2.805 F(ari-)-.25 E
+.555(rds generated by the pattern need not match the w).1 F .554
+(ord being completed.)-.1 F(The)5.554 E F3(GLOBIGNORE)3.054 E F0 .554
+(shell v)2.804 F(ari-)-.25 E
 (able is not used to \214lter the matches, b)108 444 Q(ut the)-.2 E F3
 (FIGNORE)2.5 E F0 -.25(va)2.25 G(riable is used.).25 E(Ne)108 460.8 Q
-.321(xt, the string speci\214ed as the ar)-.15 F .321(gument to the)-.18
-F F1<ad57>2.821 E F0 .32(option is considered.)2.821 F .32
-(The string is \214rst split using the)5.32 F .412(characters in the)108
-472.8 R F3(IFS)2.912 E F0 .412(special v)2.662 F .412
+.32(xt, the string speci\214ed as the ar)-.15 F .32(gument to the)-.18 F
+F1<ad57>2.82 E F0 .321(option is considered.)2.821 F .321
+(The string is \214rst split using the)5.321 F .413(characters in the)
+108 472.8 R F3(IFS)2.913 E F0 .412(special v)2.663 F .412
 (ariable as delimiters.)-.25 F .412(Shell quoting is honored.)5.412 F
-.413(Each w)5.412 F .413(ord is then e)-.1 F(xpanded)-.15 E .092
-(using brace e)108 484.8 R .092(xpansion, tilde e)-.15 F .092
-(xpansion, parameter and v)-.15 F .092(ariable e)-.25 F .091
-(xpansion, command substitution, and arith-)-.15 F 1.396(metic e)108
+.412(Each w)5.412 F .412(ord is then e)-.1 F(xpanded)-.15 E .091
+(using brace e)108 484.8 R .091(xpansion, tilde e)-.15 F .092
+(xpansion, parameter and v)-.15 F .092(ariable e)-.25 F .092
+(xpansion, command substitution, and arith-)-.15 F 1.397(metic e)108
 496.8 R 1.396(xpansion, as described abo)-.15 F 1.696 -.15(ve u)-.15 H
 (nder).15 E F3(EXP)3.896 E(ANSION)-.666 E/F4 9/Times-Roman@0 SF(.)A F0
 1.396(The results are split using the rules described)5.896 F(abo)108
-508.8 Q .51 -.15(ve u)-.15 H(nder).15 E F1 -.75(Wo)2.71 G .21
-(rd Splitting).75 F F0 5.21(.T)C .209(he results of the e)-5.21 F .209
-(xpansion are pre\214x-matched ag)-.15 F .209(ainst the w)-.05 F .209
+508.8 Q .509 -.15(ve u)-.15 H(nder).15 E F1 -.75(Wo)2.709 G .209
+(rd Splitting).75 F F0 5.209(.T)C .209(he results of the e)-5.209 F .209
+(xpansion are pre\214x-matched ag)-.15 F .21(ainst the w)-.05 F .21
 (ord being com-)-.1 F(pleted, and the matching w)108 520.8 Q
-(ords become the possible completions.)-.1 E 1.237
-(After these matches ha)108 537.6 R 1.537 -.15(ve b)-.2 H 1.237
-(een generated, an).15 F 3.737(ys)-.15 G 1.238
-(hell function or command speci\214ed with the)-3.737 F F1<ad46>3.738 E
-F0(and)3.738 E F1<ad43>3.738 E F0 3.376(options is in)108 549.6 R -.2
+(ords become the possible completions.)-.1 E 1.238
+(After these matches ha)108 537.6 R 1.538 -.15(ve b)-.2 H 1.238
+(een generated, an).15 F 3.738(ys)-.15 G 1.237
+(hell function or command speci\214ed with the)-3.738 F F1<ad46>3.737 E
+F0(and)3.737 E F1<ad43>3.737 E F0 3.375(options is in)108 549.6 R -.2
 (vo)-.4 G -.1(ke).2 G 5.875(d. When).1 F 3.375
 (the command or function is in)5.875 F -.2(vo)-.4 G -.1(ke).2 G 3.375
-(d, the).1 F F3(COMP_LINE)5.875 E F4(,)A F3(COMP_POINT)5.625 E F4(,)A F3
-(COMP_KEY)108 561.6 Q F4(,)A F0(and)2.407 E F3(COMP_TYPE)2.657 E F0 -.25
-(va)2.407 G .157(riables are assigned v).25 F .157
-(alues as described abo)-.25 F .457 -.15(ve u)-.15 H(nder).15 E F1 .158
-(Shell V)2.658 F(ariables)-.92 E F0 5.158(.I)C(f)-5.158 E 3.486(as)108
-573.6 S .986(hell function is being in)-3.486 F -.2(vo)-.4 G -.1(ke).2 G
+(d, the).1 F F3(COMP_LINE)5.876 E F4(,)A F3(COMP_POINT)5.626 E F4(,)A F3
+(COMP_KEY)108 561.6 Q F4(,)A F0(and)2.408 E F3(COMP_TYPE)2.658 E F0 -.25
+(va)2.408 G .157(riables are assigned v).25 F .157
+(alues as described abo)-.25 F .457 -.15(ve u)-.15 H(nder).15 E F1 .157
+(Shell V)2.657 F(ariables)-.92 E F0 5.157(.I)C(f)-5.157 E 3.485(as)108
+573.6 S .986(hell function is being in)-3.485 F -.2(vo)-.4 G -.1(ke).2 G
 .986(d, the).1 F F3(COMP_W)3.486 E(ORDS)-.09 E F0(and)3.236 E F3
 (COMP_CW)3.486 E(ORD)-.09 E F0 -.25(va)3.236 G .986
-(riables are also set.).25 F(When)5.985 E .346
-(the function or command is in)108 585.6 R -.2(vo)-.4 G -.1(ke).2 G .346
-(d, the \214rst ar).1 F .346(gument \()-.18 F F1($1)A F0 2.847(\)i)C
-2.847(st)-2.847 G .347(he name of the command whose ar)-2.847 F(guments)
--.18 E .264(are being completed, the second ar)108 597.6 R .264
-(gument \()-.18 F F1($2)A F0 2.764(\)i)C 2.764(st)-2.764 G .264(he w)
--2.764 F .263(ord being completed, and the third ar)-.1 F .263
-(gument \()-.18 F F1($3)A F0 2.763(\)i)C(s)-2.763 E .628(the w)108 609.6
-R .628(ord preceding the w)-.1 F .629
-(ord being completed on the current command line.)-.1 F .629
-(No \214ltering of the generated)5.629 F .715(completions ag)108 621.6 R
-.715(ainst the w)-.05 F .714(ord being completed is performed; the func\
+(riables are also set.).25 F(When)5.986 E .347
+(the function or command is in)108 585.6 R -.2(vo)-.4 G -.1(ke).2 G .347
+(d, the \214rst ar).1 F .346(gument \()-.18 F F1($1)A F0 2.846(\)i)C
+2.846(st)-2.846 G .346(he name of the command whose ar)-2.846 F(guments)
+-.18 E .263(are being completed, the second ar)108 597.6 R .263
+(gument \()-.18 F F1($2)A F0 2.763(\)i)C 2.763(st)-2.763 G .264(he w)
+-2.763 F .264(ord being completed, and the third ar)-.1 F .264
+(gument \()-.18 F F1($3)A F0 2.764(\)i)C(s)-2.764 E .629(the w)108 609.6
+R .629(ord preceding the w)-.1 F .629
+(ord being completed on the current command line.)-.1 F .628
+(No \214ltering of the generated)5.629 F .714(completions ag)108 621.6 R
+.714(ainst the w)-.05 F .714(ord being completed is performed; the func\
 tion or command has complete free-)-.1 F(dom in generating the matches.)
-108 633.6 Q(An)108 650.4 Q 2.937(yf)-.15 G .437
-(unction speci\214ed with)-2.937 F F1<ad46>2.937 E F0 .437(is in)2.937 F
+108 633.6 Q(An)108 650.4 Q 2.938(yf)-.15 G .437
+(unction speci\214ed with)-2.938 F F1<ad46>2.937 E F0 .437(is in)2.937 F
 -.2(vo)-.4 G -.1(ke).2 G 2.937<648c>.1 G 2.937(rst. The)-2.937 F .437
 (function may use an)2.937 F 2.937(yo)-.15 G 2.937(ft)-2.937 G .437
-(he shell f)-2.937 F .438(acilities, including)-.1 F(the)108 662.4 Q F1
-(compgen)2.957 E F0 -.2(bu)2.957 G .457(iltin described belo).2 F 1.756
--.65(w, t)-.25 H 2.956(og).65 G .456(enerate the matches.)-2.956 F .456
+(he shell f)-2.937 F .437(acilities, including)-.1 F(the)108 662.4 Q F1
+(compgen)2.956 E F0 -.2(bu)2.956 G .456(iltin described belo).2 F 1.756
+-.65(w, t)-.25 H 2.956(og).65 G .456(enerate the matches.)-2.956 F .457
 (It must put the possible completions in the)5.456 F F3(COMPREPL)108
 674.4 Q(Y)-.828 E F0(array v)2.25 E(ariable, one per array element.)-.25
-E(Ne)108 691.2 Q .08(xt, an)-.15 F 2.58(yc)-.15 G .08
-(ommand speci\214ed with the)-2.58 F F1<ad43>2.58 E F0 .081
-(option is in)2.581 F -.2(vo)-.4 G -.1(ke).2 G 2.581(di).1 G 2.581(na)
--2.581 G 2.581(ne)-2.581 G -.4(nv)-2.581 G .081(ironment equi).4 F -.25
-(va)-.25 G .081(lent to command sub-).25 F 2.859(stitution. It)108 703.2
-R .359(should print a list of completions, one per line, to the standar\
-d output.)2.859 F .358(Backslash may be used)5.359 F(to escape a ne)108
+E(Ne)108 691.2 Q .081(xt, an)-.15 F 2.581(yc)-.15 G .081
+(ommand speci\214ed with the)-2.581 F F1<ad43>2.581 E F0 .081
+(option is in)2.581 F -.2(vo)-.4 G -.1(ke).2 G 2.581(di).1 G 2.58(na)
+-2.581 G 2.58(ne)-2.58 G -.4(nv)-2.58 G .08(ironment equi).4 F -.25(va)
+-.25 G .08(lent to command sub-).25 F 2.858(stitution. It)108 703.2 R
+.359(should print a list of completions, one per line, to the standard \
+output.)2.858 F .359(Backslash may be used)5.359 F(to escape a ne)108
 715.2 Q(wline, if necessary)-.25 E(.)-.65 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(51)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(51)192.895 E 0 Cg EP
 %%Page: 52 52
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
-(Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E .376
+(Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E .377
 (After all of the possible completions are generated, an)108 84 R 2.877
 <798c>-.15 G .377(lter speci\214ed with the)-2.877 F/F1 10/Times-Bold@0
-SF<ad58>2.877 E F0 .377(option is applied to the)2.877 F 3.182
-(list. The)108 96 R .682(\214lter is a pattern as used for pathname e)
-3.182 F .681(xpansion; a)-.15 F F1(&)3.181 E F0 .681
-(in the pattern is replaced with the te)3.181 F .681(xt of)-.15 F .522
-(the w)108 108 R .522(ord being completed.)-.1 F 3.022(Al)5.522 G
-(iteral)-3.022 E F1(&)3.022 E F0 .523
+SF<ad58>2.876 E F0 .376(option is applied to the)2.876 F 3.181
+(list. The)108 96 R .681(\214lter is a pattern as used for pathname e)
+3.181 F .681(xpansion; a)-.15 F F1(&)3.181 E F0 .682
+(in the pattern is replaced with the te)3.182 F .682(xt of)-.15 F .523
+(the w)108 108 R .523(ord being completed.)-.1 F 3.023(Al)5.523 G
+(iteral)-3.023 E F1(&)3.023 E F0 .522
 (may be escaped with a backslash; the backslash is remo)3.022 F -.15(ve)
--.15 G 3.023(db).15 G(efore)-3.023 E .85(attempting a match.)108 120 R
-(An)5.85 E 3.35(yc)-.15 G .849
-(ompletion that matches the pattern will be remo)-3.35 F -.15(ve)-.15 G
-3.349(df).15 G .849(rom the list.)-3.349 F 3.349(Al)5.849 G(eading)
--3.349 E F1(!)3.349 E F0(ne)108 132 Q -.05(ga)-.15 G .764
+-.15 G 3.022(db).15 G(efore)-3.022 E .849(attempting a match.)108 120 R
+(An)5.849 E 3.349(yc)-.15 G .849
+(ompletion that matches the pattern will be remo)-3.349 F -.15(ve)-.15 G
+3.35(df).15 G .85(rom the list.)-3.35 F 3.35(Al)5.85 G(eading)-3.35 E F1
+(!)3.35 E F0(ne)108 132 Q -.05(ga)-.15 G .764
 (tes the pattern; in this case an).05 F 3.264(yc)-.15 G .764
 (ompletion not matching the pattern will be remo)-3.264 F -.15(ve)-.15 G
-3.264(d. If).15 F(the)3.265 E F1(nocase-)3.265 E(match)108 144 Q F0
+3.264(d. If).15 F(the)3.264 E F1(nocase-)3.264 E(match)108 144 Q F0
 (shell option is enabled, the match is performed without re)2.5 E -.05
 (ga)-.15 G(rd to the case of alphabetic characters.).05 E(Finally)108
-160.8 Q 3.087(,a)-.65 G .887 -.15(ny p)-3.087 H .587(re\214x and suf).15
+160.8 Q 3.086(,a)-.65 G .886 -.15(ny p)-3.086 H .586(re\214x and suf).15
 F .587(\214x speci\214ed with the)-.25 F F1<ad50>3.087 E F0(and)3.087 E
 F1<ad53>3.087 E F0 .587(options are added to each member of the com-)
 3.087 F(pletion list, and the result is returned to the readline comple\
-tion code as the list of possible completions.)108 172.8 Q .246
+tion code as the list of possible completions.)108 172.8 Q .247
 (If the pre)108 189.6 R .247(viously-applied actions do not generate an)
 -.25 F 2.747(ym)-.15 G .247(atches, and the)-2.747 F F1 .247(\255o dir)
-2.747 F(names)-.15 E F0 .247(option w)2.747 F .247(as supplied to)-.1 F
+2.747 F(names)-.15 E F0 .247(option w)2.747 F .246(as supplied to)-.1 F
 F1(complete)108 201.6 Q F0(when the compspec w)2.5 E
-(as de\214ned, directory name completion is attempted.)-.1 E .462
-(If the)108 218.4 R F1 .462(\255o plusdirs)2.962 F F0 .462(option w)
+(as de\214ned, directory name completion is attempted.)-.1 E .461
+(If the)108 218.4 R F1 .462(\255o plusdirs)2.961 F F0 .462(option w)
 2.962 F .462(as supplied to)-.1 F F1(complete)2.962 E F0 .462
 (when the compspec w)2.962 F .462(as de\214ned, directory name com-)-.1
 F(pletion is attempted and an)108 230.4 Q 2.5(ym)-.15 G
-(atches are added to the results of the other actions.)-2.5 E .559
-(By def)108 247.2 R .559(ault, if a compspec is found, whate)-.1 F -.15
-(ve)-.25 G 3.059(ri).15 G 3.059(tg)-3.059 G .56
-(enerates is returned to the completion code as the full set)-3.059 F
-.632(of possible completions.)108 259.2 R .632(The def)5.632 F(ault)-.1
-E F1(bash)3.132 E F0 .631
-(completions are not attempted, and the readline def)3.131 F .631
-(ault of \214le-)-.1 F .558(name completion is disabled.)108 271.2 R
-.558(If the)5.558 F F1 .559(\255o bashdefault)3.059 F F0 .559(option w)
-3.059 F .559(as supplied to)-.1 F F1(complete)3.059 E F0 .559
-(when the compspec)3.059 F -.1(wa)108 283.2 S 3.172(sd).1 G .672
-(e\214ned, the)-3.172 F F1(bash)3.172 E F0(def)3.172 E .671
+(atches are added to the results of the other actions.)-2.5 E .56
+(By def)108 247.2 R .56(ault, if a compspec is found, whate)-.1 F -.15
+(ve)-.25 G 3.06(ri).15 G 3.06(tg)-3.06 G .559
+(enerates is returned to the completion code as the full set)-3.06 F
+.631(of possible completions.)108 259.2 R .631(The def)5.631 F(ault)-.1
+E F1(bash)3.131 E F0 .631
+(completions are not attempted, and the readline def)3.131 F .632
+(ault of \214le-)-.1 F .559(name completion is disabled.)108 271.2 R
+.559(If the)5.559 F F1 .559(\255o bashdefault)3.059 F F0 .559(option w)
+3.059 F .559(as supplied to)-.1 F F1(complete)3.058 E F0 .558
+(when the compspec)3.058 F -.1(wa)108 283.2 S 3.171(sd).1 G .671
+(e\214ned, the)-3.171 F F1(bash)3.171 E F0(def)3.171 E .671
 (ault completions are attempted if the compspec generates no matches.)
--.1 F .671(If the)5.671 F F1<ad6f>3.171 E(default)108 295.2 Q F0 1.207
-(option w)3.706 F 1.207(as supplied to)-.1 F F1(complete)3.707 E F0
+-.1 F .672(If the)5.672 F F1<ad6f>3.172 E(default)108 295.2 Q F0 1.207
+(option w)3.707 F 1.207(as supplied to)-.1 F F1(complete)3.707 E F0
 1.207(when the compspec w)3.707 F 1.207(as de\214ned, readline')-.1 F
-3.707(sd)-.55 G(ef)-3.707 E 1.207(ault completion)-.1 F
+3.707(sd)-.55 G(ef)-3.707 E 1.206(ault completion)-.1 F
 (will be performed if the compspec \(and, if attempted, the def)108
 307.2 Q(ault)-.1 E F1(bash)2.5 E F0(completions\) generate no matches.)
 2.5 E .245(When a compspec indicates that directory name completion is \
-desired, the programmable completion func-)108 324 R .632(tions force r\
+desired, the programmable completion func-)108 324 R .633(tions force r\
 eadline to append a slash to completed names which are symbolic links t\
-o directories, subject)108 336 R 2.762(to the v)108 348 R 2.762
-(alue of the)-.25 F F1(mark\255dir)5.262 E(ectories)-.18 E F0 2.761
-(readline v)5.262 F 2.761(ariable, re)-.25 F -.05(ga)-.15 G 2.761
-(rdless of the setting of the).05 F F1(mark-sym-)5.261 E(link)108 360 Q
-(ed\255dir)-.1 E(ectories)-.18 E F0(readline v)2.5 E(ariable.)-.25 E .19
-(There is some support for dynamically modifying completions.)108 376.8
-R .191(This is most useful when used in combina-)5.191 F 1.33
+o directories, subject)108 336 R 2.761(to the v)108 348 R 2.761
+(alue of the)-.25 F F1(mark\255dir)5.261 E(ectories)-.18 E F0 2.761
+(readline v)5.261 F 2.761(ariable, re)-.25 F -.05(ga)-.15 G 2.762
+(rdless of the setting of the).05 F F1(mark-sym-)5.262 E(link)108 360 Q
+(ed\255dir)-.1 E(ectories)-.18 E F0(readline v)2.5 E(ariable.)-.25 E
+.191(There is some support for dynamically modifying completions.)108
+376.8 R .19(This is most useful when used in combina-)5.191 F 1.33
 (tion with a def)108 388.8 R 1.33(ault completion speci\214ed with)-.1 F
 F1 1.33(complete -D)3.83 F F0 6.33(.I)C(t')-6.33 E 3.83(sp)-.55 G 1.33
 (ossible for shell functions e)-3.83 F -.15(xe)-.15 G 1.33(cuted as).15
 F .93(completion handlers to indicate that completion should be retried\
  by returning an e)108 400.8 R .93(xit status of 124.)-.15 F .93(If a)
 5.93 F .1(shell function returns 124, and changes the compspec associat\
-ed with the command on which completion is)108 412.8 R .665
-(being attempted \(supplied as the \214rst ar)108 424.8 R .666
-(gument when the function is e)-.18 F -.15(xe)-.15 G .666
-(cuted\), programmable completion).15 F .084(restarts from the be)108
+ed with the command on which completion is)108 412.8 R .666
+(being attempted \(supplied as the \214rst ar)108 424.8 R .665
+(gument when the function is e)-.18 F -.15(xe)-.15 G .665
+(cuted\), programmable completion).15 F .083(restarts from the be)108
 436.8 R .084(ginning, with an attempt to \214nd a ne)-.15 F 2.584(wc)
--.25 G .084(ompspec for that command.)-2.584 F .083(This allo)5.083 F
-.083(ws a set of)-.25 F(completions to be b)108 448.8 Q(uilt dynamicall\
+-.25 G .084(ompspec for that command.)-2.584 F .084(This allo)5.084 F
+.084(ws a set of)-.25 F(completions to be b)108 448.8 Q(uilt dynamicall\
 y as completion is attempted, rather than being loaded all at once.)-.2
-E -.15(Fo)108 465.6 S 2.636(ri).15 G .137
-(nstance, assuming that there is a library of compspecs, each k)-2.636 F
+E -.15(Fo)108 465.6 S 2.637(ri).15 G .137
+(nstance, assuming that there is a library of compspecs, each k)-2.637 F
 .137(ept in a \214le corresponding to the name of)-.1 F
 (the command, the follo)108 477.6 Q(wing def)-.25 E
 (ault completion function w)-.1 E(ould load completions dynamically:)-.1
